Company (table)

List of Fields in the Table

This table contains the names of all the companies that have been created in the current database.

Related Topics

Creating a Company


Database Key Groups (table)

List of Fields in the Table

The Database Key Groups window contains all of the key groups that have been set up for this database. It lists the key groups and when they were last changed.


Login (table)

List of Fields in the Table

The Login table contains all of the database logins and Windows logins that have been created in the current database. The program fills in this table automatically and it cannot be edited.


Member Of (table)

List of Fields in the Table

The Member Of table contains User ID and security roles information for database logins.

You can use this information to keep track of the security roles that each user who has a database login has been assigned in Microsoft Dynamics NAV. You can also use this table to assign new security roles to a database login.

Related Topics

Security


Online Map Parameter Setup (table)

List of Fields in the Table

This table contains the various codes and URL parameters used by the online map to find the right map and the route directions you ask for.


Online Map Setup (table)

List of Fields in the Table

This table contains information about which map to display in your online map when you click the pushpin icon on for example a customer or contact card. The default language code is the code selected from the Online Map Parameter Setup table, which specifies the combination of language and country/region. The client language is the language set up in the Application Languages window.


Permission (table)

List of Fields in the Table

The Permission table contains detailed information about the permissions that have been granted to each Microsoft Dynamics NAV security role in the current database.

The permissions indicate which Microsoft Dynamics NAV objects each particular security role has been granted read, insert, modify, delete or execute permission for.

Related Topics

Security


Record Link (table)

List of Fields in the Table

You can attach links to specific records in Microsoft Dynamics NAV.

You can make links to:

  • documents

  • folders

  • Web sites

  • other records in Microsoft Dynamics NAV

The links are stored in the Record Link table, and displayed in the Links window.

The Links window displays all of the links that are attached to a specific record, such as a customer card, sales order, or sales order line. You use the Links window to attach links to records in Microsoft Dynamics NAV, and to view and open the links.

Related Topics

Linking Documents, Folders, or Web Sites to Records in Microsoft Dynamics NAV


User (table)

List of Fields in the Table

The User table contains information about the users who are going to use Database Server Authentication to access Microsoft Dynamics NAV. You can use this table to grant users a database login by entering the necessary information about those users that are going to use Database Server Authentication.

The information that you enter will vary depending on which version of Microsoft Dynamics NAV you are using.

Related Topics

Security

Creating a Database Login on Microsoft Dynamics NAV Database Server

Creating a Database Login on SQL Server


User Role (table)

List of Fields in the Table

The User Role table contains a list of all the security roles that exist in the current database.

You can also create new security roles in this table.

Related Topics

Security

Creating a Role


Windows Access Control (table)

List of Fields in the Table

The Windows Access Control table contains information about the security roles that have been assigned to each Windows login that has been created in the current database. You can use this table to assign new security roles to a Windows login.

Related Topics

Security

Giving a Windows Login a Microsoft Dynamics NAV Role


Windows Login (table)

List of Fields in the Table

The Windows Login table contains information about all the Windows logins that have been created in the current database. You can use this table to create new Windows logins. Windows logins use the single sign-on system (unified login) supported by Windows. This means that users who have been granted a Windows login do not have to enter a password to gain access to Microsoft Dynamics NAV.

Related Topics

Security

Creating a Windows Login


Report List Translation (table)

List of Fields in the Table

The Report List Translation table contains the translations of all the reports in the different languages.

Each time the program references a report, it uses the translated report name that is shown in this table. The system updates the table automatically.

Related Topic

Object Translation


Application Languages (window)

This window shows the available languages you can choose from.

The languages shown are the languages that are included in your license and that are installed on your computer.

Related Tasks

More Information


Name

This field contains the names of the available languages that are included in your license and that are installed on your computer.

Example

English (United States)


Windows Languages (window)

This window shows the available languages you can choose from.

Related Tasks

More Information


Name

This field contains the names of the available Windows languages.

Example

English (United States)


ID

This field contains the unique language ID for the Windows language.

Examples

1033 for English (United States)

1036 for French (Standard)

2060 for French (Belgian)


Manage Style Sheets (window)

You use the Manage Style Sheets window to view, import, or export the style sheets that you apply to data that you export to another program, such as Microsoft Office Word or Excel.

In the header, you determine whether you want the lines to display:

  • All style sheets - both for specific forms and for all forms

  • Style sheets to export data from any form

  • Style sheets to export data from a specific form

Each line contains the following information about a style sheet that has been imported:

  • The name of the style sheet

  • The name of the form you export data from

  • The program that you export data to

Related Tasks

More Information


Style Sheet Name

This field contains the name of the style sheet on the line.

When you import the style sheet, the program copies the name of the style sheet from the Name field in the Import Style Sheet window.


Send-to Program

This field contains that name of the program that you export data to using this style sheet.

When you import the style sheet, the program copies the name of the program from the Program field in the Import Style Sheet window.


Form Name

This field contains the name of the form that you export data from using this style sheet.

If the style sheet can be used for any form, then the field contains <Common to all forms>.


Send-to Programs (window)

The Send-to Programs window lists the programs that you can export data to. By default, Microsoft Office Word and Excel are included.

When you import a style sheet, you use the Send-to Programs window to select the program that the style sheet applies to.

Each line contains the name of a program and the corresponding executable file.

Related Tasks

More Information


Import Style Sheet (window)

You use the Import Style Sheet window to import a style sheet that you want to apply to data that you export to another program.

You specify the file that contains the style sheet, the name of the style sheet, and the program that you will export data to.

After you import a style sheet, it will be available for either a specific form or all forms, depending on what you selected in the Manage Style Sheets window.

Related Tasks

More Information


Name

In this field, you assign a name to the style sheet that you are importing.

This is the name that identifies the style sheet elsewhere in the program.

The combination of the name of the program (in the Program field) and the name of style sheet must be unique, but you can use the same name for style sheets that apply to different programs. For example, you can have a default Word style sheet and a default Excel style sheet, both named Default.


Style Sheet

In this field, enter the file name and location of the file that contains the style sheet that you are importing. Click the AssistButton in the field to browse to the file.


Send-to Program

In this field, enter the name of the program that the style sheet you are importing applies to. Click the AssistButton in the field and select the program.


Program Selection (window)

You use the Program Selection window when you want to export data from Microsoft Dynamics NAV to another program.

Each line contains the name of a program that you can export to and the default style sheet for exporting the current form to the program.

You select the line containing the program that you want to export data to, and then, in the Style Sheet field on the selected line, you select the style sheet that you want to use.

Related Tasks

More Information


Style Sheets (window)

You use the Style Sheets window to select a style sheet for exporting data to another program. The window lists all of the style sheets that can be used to export the current form to the program that you selected in the Program Selection window.

Related Tasks

More Information


Online Map Setup (window)

You use this window to set up how your selected map and route directions will display in your online map. For example, you can choose to display a map of London with directions in Spanish.

The window is closely linked with the Online Map Parameter Setup window which extends some setup choices and adds URL links.

Related Tasks

More Information


Online Map Address Selector (window)

Show All Show All

Online Map Address Selector Window

You use this window to select the destination you want. You can specify which card (Location Card, Customer Card, Vendor Card, Company Information, Resource Card, Job Card, Ship-to Address, Order Address, Bank Account Card, Contact Card, Employee Card) you want to use to look up the addressee, for example the Contact, Customer, or Location card and then click the AssistButton in the Lookup Code field to get a list of destination codes to choose from.

By default, distances are shown in miles or kilometers as set up in the Online Map Setup window but you can change this.

Related Tasks

More Information


Online Map Parameter Setup (window)

Show All Show All

Online Map Parameter Setup Window

In this window you set up which online map will be displayed when you call a map from a card, (Location Card, Customer Card, Vendor Card, Company Information, Resource Card, Job Card, Ship-to Address, Order Address, Bank Account Card, Contact Card, Employee Card) and what language will be used in maps and route directions.

The window is closely linked with the Online Map Setup window and extends some setup choices of that window.

Related Tasks

More Information


Object Translation (table)

List of Fields in the Table

The system uses this table internally.


Menu ID, Report List Translation (table)

Menu ID Field

The Report List Translation Table

This field contains the ID of the report menu in which the report is displayed.


Line No., Report List Translation (table)

Line No. Field

The Report List Translation Table

This field contains the line number of the report. The line number is used to keep track of the various report list lines.


Language ID, Report List Translation (table)

Language ID Field

The Report List Translation Table

This field contains the unique Windows language ID which identifies the language.

Example

The Windows language ID for English (United States) is the number 1033.


Language Name, Report List Translation (table)

Language Name Field

The Report List Translation Table

This field contains the Windows name of the language. The program automatically fills in this field when you specify a language ID in the Language ID field.

Example

English (United States)


Description, Report List Translation (table)

Description Field

The Report List Translation Table

This field contains the description of the report in the selected language.


User ID, Login (table)

User ID Field

The Login Table

This field contains the user ID of a login that has been created in the current database. The program fills in this field automatically and it cannot be edited.


Windows Login, Login (table)

Windows Login Field

The Login Table

This field tells you whether the user has a Windows login or a database login. If the field contains a check mark the user has a Windows login. If the field does not contain a check mark the user has a database login.


Windows Login ID, Login (table)

Windows Login ID Field

The Login Table

This field contains the user ID of a Windows login that has been created in the current database. The program fills in this field automatically and it cannot be edited.


Name, Login (table)

Name Field

The Login Table

This field contains the name of the user.


Default Country/Region Code, Online Map Setup (table)

Default Country/Region Code Field

The Online Map Setup Table

This field contains the country/region code for the language you selected as default in the Default Language Code field.

The field is filled in automatically by the program and is not editable.


Default Country/Region Name, Online Map Setup (table)

Default Country/Region Name Field

The Online Map Setup Table

This field contains the name of the country/region you selected as default in the Default Language Code field.

The field is filled in automatically by the program and is not editable.


Distance In, Online Map Setup (table)

Distance In Field

The Online Map Setup Table

Here you can select whether distances in your online map should be shown in miles or kilometers.

Note:

Distances across sea/water are not included in the total distance.


Route, Online Map Setup (table)

Route Field

The Online Map Setup Table

Here you can select whether your online map will show the shortest route or the quickest route on the map.

Note:

Distances across sea/water are not included in the total distance.


Default Language Code, Online Map Setup (table)

Default Language Code Field

The Online Map Setup Table

Here you must select the code for the language you want maps to be shown in as default when you look up addresses in your online map.

To see the available language codes in the Online Map Parameter Setup window, click the AssistButton in the field.


Default Language Name, Online Map Setup (table)

Default Language Name Field

The Online Map Setup Table

This field contains the name of the language you selected in the Default Language Code field.

The field is filled in automatically by the program and is not editable.


Show Maps In Language, Online Map Setup (table)

Show Maps In Language Field

The Online Map Setup Table

In this field you select either the Default Language which is the language specified in the Default Language Code field or, if you want maps and route directions to be shown in another language, you select a Client Language which has been set up in the Application Languages window.


Country/Region Code, Online Map Parameter Setup (table)

Country/Region Code Field

The Online Map Parameter Setup Table

Here you must select a code for the country/region you want to link to the language code.

To see the country/region codes and address formats in the Countries/Regions window, click the AssistButton in the field.


Country/Region Name, Online Map Parameter Setup (table)

Country/Region Name Field

The Online Map Parameter Setup Table

This field contains the name of the country/region. When you have selected the country/region code, the program automatically inserts the name in this field.

The field is not editable.


Country/Region Cnty Value, Online Map Parameter Setup (table)

Country/Region Cnty Value Field

The Online Map Parameter Setup Table

This field contains a country-specific number used by the MSN online map to identify the country/region you are searching in.

Open Setting up Online Map to view a list of the numeric values representing the various countries/regions.


Local Map URL, Online Map Parameter Setup (table)

Local Map URL Field

The Online Map Parameter Setup Table

This field contains the URL to the local your online map site. If there is no local online map site, then you can use any other online map site as long as the Country/Region Code matches the numeric value representing that country/region.


Local Directions Find URL, Online Map Parameter Setup (table)

Local Directions Find URL Field

The Online Map Parameter Setup Table

This field contains the URL for the local DirectionsFind MapPoint site.


Language Code, Online Map Parameter Setup (table)

Language Code Field

The Online Map Parameter Setup Table

Here you select a code for the language you want the route directions to be in. To see the available language codes in the Languages window, click the AssistButton in the field to open the Languages window.


Comment, Online Map Parameter Setup (table)

Comment Field

The Online Map Parameter Setup Table

Here you can insert a comment. The field is optional, and you can enter a maximum of 30 characters, both numbers and letters.


MSN World Regional Code, Online Map Parameter Setup (table)

MSN World Regional Code Field

The Online Map Parameter Setup Table

In this field, select a region-specific code used to determine in which part of the world you are searching.


User ID, User (table)

User ID Field

The User Table

This field contains the user ID of a user who is using Database Server Authentication to log on to Microsoft Dynamics NAV in the current database.


Password, User (table)

Password Field

The User Table

This field contains the password of a user who is using Database Server Authentication to log on to Microsoft Dynamics NAV. This field is only available when you are running on Microsoft Dynamics NAV Database Server.


Name, User (table)

Name Field

The User Table

This field contains the name of a user who is using Database Server Authentication to log on to Microsoft Dynamics NAV.


Expiration Date, User (table)

Expiration Date Field

The User Table

This field contains the date after which this user will no longer be able to log on to Microsoft Dynamics NAV and access the current database.


User ID, Member Of (table)

User ID Field

The Member Of Table

This field contains the user ID of a user who is using Database Server Authentication to log on to Microsoft Dynamics NAV. The program uses this field internally.


User Name, Member Of (table)

User Name Field

The Member Of Table

This field contains the name of a user who is using Database Server Authentication to log on to Microsoft Dynamics NAV. The program uses this field internally.


Role ID, Member Of (table)

Role ID Field

The Member Of Table

This field contains the role ID of the Microsoft Dynamics NAV security role that has been assigned to the user who has been granted a database login.


Role Name, Member Of (table)

Role Name Field

The Member Of Table

This field contains the name of the Microsoft Dynamics NAV security role that has been assigned to the user who has been granted a database login.


Company, Member Of (table)

Company Field

The Member Of Table

This field contains the name of the company that this security role has been limited to for the user.


Role ID, User Role (table)

Role ID Field

The User Role Table

This field contains the ID of the Microsoft Dynamics NAV security roles that exist in the current database.


Name, User Role (table)

Name Field

The User Role Table

This field contains the name of the Microsoft Dynamics NAV security roles that exist in the current database.


Role ID, Permission (table)

Role ID Field

The Permission Table

This field contains the ID of the security roles that exist in the current database. The program uses this field internally.


Role Name, Permission (table)

Role Name Field

The Permission Table

This field contains the name of the security roles that exist in the current database. The program uses this field internally.


Object Type, Permission (table)

Object Type Field

The Permission Table

This field contains the type of object that the permissions apply to in the current database.

The possible options are:

  • Table Data

  • Table

  • Form

  • Report

  • Dataport

  • Codeunit

  • System


Object ID, Permission (table)

Object ID Field

The Permission Table

This field contains the ID of the object to which the permissions apply.


Object Name, Permission (table)

Object Name Field

The Permission Table

This field contains the name of the object to which the permissions apply.


Read Permission, Permission (table)

Read Permission Field

The Permission Table

This field contains information about whether the role has read permission to this object. The options are Yes, Indirect and empty. If the field is empty, the role does not have read permission.


Insert Permission, Permission (table)

Insert Permission Field

The Permission Table

This field contains information about whether the role has insert permission to this object. The options are Yes, Indirect and empty. If the field is empty, the role does not have insert permission.


Modify Permission, Permission (table)

Modify Permission Field

The Permission Table

This field contains information about whether the role has modify permission to this object. The options are Yes, Indirect and empty. If the field is empty, the role does not have modify permission.


Delete Permission, Permission (table)

Delete Permission Field

The Permission Table

This field contains information about whether the role has delete permission to this object. The options are Yes, Indirect and empty. If the field is empty, the role does not have delete permission.


Execute Permission, Permission (table)

Execute Permission Field

The Permission Table

This field contains information about whether the role has execute permission to this object. The options are Yes, Indirect and empty. If the field is empty the role does not have execute permission.


Security Filter, Permission (table)

Security Filter Field

The Permission Table

This field contains the security filter that is being applied to this role to limit the access that this role has to the data contained in this table.


Name, Company (table)

Name Field

The Company Table

This field contains the name of a company that has been created in the current database.


Login SID, Windows Access Control (table)

Login SID Field

The Windows Access Control Table

This field contains the Windows security identification (SID) of each Windows login that has been created in the current database.


Role ID, Windows Access Control (table)

Role ID Field

The Windows Access Control Table

This field contains the ID of a security role that has been assigned to this Windows login in the current database.


Company Name, Windows Access Control (table)

Company Name Field

The Windows Access Control Table

This field contains the name of the company that this role has been limited to for this Windows login.


Login ID, Windows Access Control (table)

Login ID Field

The Windows Access Control Table

This field contains the ID that has been given to this Windows login in the current database.


Role Name, Windows Access Control (table)

Role Name Field

The Windows Access Control Table

This field contains the name of the security role that has been given to this Windows login in the current database.


SID, Windows Login (table)

SID Field

The Windows Login Table

This field contains the Windows security identification (SID) of each Windows user or group that has been granted a Windows login in the current database.


ID, Windows Login (table)

ID Field

The Windows Login Table

This field contains the ID of each Windows user or group that has been granted a Windows login in the current database.


Name, Windows Login (table)

Name Field

The Windows Login Table

This field contains the name of each Windows user or group that has been granted a Windows login in the current database.


Link ID, Record Link (table)

Link ID Field

The Record Link Table

This field contains the ID number of the link. The program numbers the lines sequentially and uses the numbers to keep track of all of the links in the Record Link table.


Record ID, Record Link (table)

Record ID Field

The Record Link Table

This field identifies the record that the link is attached to.

The following syntax is used:

<table name>: <primary key1>, <primary key2>, <primary key3>


URL1, Record Link (table)

URL1 Field

The Record Link Table

This field contains the first 250 characters of the link’s URL.


URL2, Record Link (table)

URL2 Field

The Record Link Table

This field contains the second 250 characters of the link’s URL.


URL3, Record Link (table)

URL3 Field

The Record Link Table

This field contains the third 250 characters of the link’s URL.


URL4, Record Link (table)

URL4 Field

The Record Link Table

This field contains the fourth 250 characters of the link’s URL.


Description, Record Link (table)

Description Field

The Record Link Table

Here you can enter a description of the link. If the link is to another record in Microsoft Dynamics NAV, the program fills in this field automatically with the last part of the URL. If the link is to a file, the program enters the file name in this field.

If the link is to a Web site, this field is blank.


Type, Record Link (table)

Type Field

The Record Link Table

This field indicates whether the line is being used to store a record link, or an RTF note. Notes are stored in the Note field, which is a BLOB field.


Note, Record Link (table)

Note Field

The Record Link Table

This is a BLOB field that can be used to store an RTF note.


Created, Record Link (table)

Created Field

The Record Link Table

The program fills in this field automatically with the system date and time when you enter a URL on the line.


User ID, Record Link (table)

User ID Field

The Record Link Table

The program fills in this field automatically with the user ID of the current user when a URL is entered on the line.


Key Group, Database Key Groups (table)

Key Group Field

The Database Key Groups Table

This field contains a key group.


Last Change, Database Key Groups (table)

Last Change Field

The Database Key Groups Table

This field contains the date when this key group was last changed.